2011-05-09 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 4.76 (security: CVE-2011-1764)
	* DEPENDS: killed xorg-libs, see #14699

2011-04-21 Vlad Glagolev <stealth@sourcemage.org>
	* PRE_BUILD: simplified patching
	* config.patch: fixed installation on upgrade procedure with symlinks

2011-03-23 Andraž "ruskie" Levstik <ruskie+f03a580f@codemages.net>
	* DETAILS: updated spell to 4.75

2011-01-26 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 4.74; SECURITY_PATCH++, fixes CVE-2011-0017
	* exim.gpg: added public key 3903637F
	  (Phil Pennock <phil.pennock@globnix.org>)

2011-01-15 Andraž "ruskie" Levstik <ruskie+f03a580f@codemages.net>
	* DETAILS: updated spell to 4.73
	  SECURITY_PATCH++

2010-12-19 Vlad Glagolev <stealth@sourcemage.org>
	* BUILD: use proper pid file path
	* init.d/exim: use PIDFILE

2010-10-19 Andraž "ruskie" Levstik <ruskie+f03a580f@codemages.net>
	* DETAILS: updated spell to 4.72
	  SECURITY_PATCH++
	* exim-dovecot-1.1.diff: removed
	* PRE_BUILD: no longer need to patch

2010-09-20 Andraž "ruskie" Levstik <ruskie+f03a580f@codemages.net>
	* PRE_BUILD: added the dovecot patch
	* exim-dovecot-1.1.diff: fixes some issues and brings the
	  compatibility to the latest version
	  Upstream: http://bugs.exim.org/show_bug.cgi?id=954

2010-04-06 Philippe "Puppet_Master" Caseiro  <puppetmaster@sourcemage.org>
	* DEPENDS: updated mysql dependency to MYSQL provider

2009-11-25 Andraž "ruskie" Levstik <ruskie+f03a580f@codemages.net>
	* DETAILS: updated spell to 4.71

2009-11-17 Andraž "ruskie" Levstik <ruskie+f03a580f@codemages.net>
	* DETAILS: updated spell to 4.70
	  SECURITY_PATCH++, atleast two potential fixes in ChangeLog
	* BUILD: new needs external pcre
	* DEPENDS: needs external pcre
	* config.patch: updated

2009-10-22 Vlad Glagolev <stealth@sourcemage.org>
	* INSTALL: don't touch the log files, there could be a syslog usage,
	  for example, no need to choose for the user what to use.

2009-10-16 Vlad Glagolev <stealth@sourcemage.org>
	* CONFIGURE: fixed gdbm name

2009-03-31 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: PATCHLEVEL=1
	* PRE_BUILD: corrected SYSTEM_ALIASES_FILE path; cleaned up

2009-02-06 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* CONFIGURE: add fallback query for the DBM

2009-01-15 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* BUILD: setup for different DBM providers
	* CONFIGURE: setup for different DBM providers
	* DEPENDS: setup for different DBM providers

2008-04-08 Elisamuel Resto <ryuji@sourcemage.org>
	* BUILD, CONFIGURE: added query for IPv6 support in exim

2008-04-06 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Check for EXIM_TLS being "gnutls" not "y"

2008-03-18 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Switch X11-LIBS to the one and only xorg-libs

2008-03-13 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 4.69
	  SOURCE2 is now .asc instead of .sig (yeah?)
	* exim.gpg: Added key 0xDDC03262 from subkeys.pgp.net and
	  http://www.exim.org/lurker/message/20080110.172421.1afe6034.en.html
	* config.patch: Updated to 4.69

2007-10-28 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* BUILD: added support for demime
	* CONFIGURE: added support for demime

2007-10-09 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DETAILS: updated spell to 4.68
	  reworked the mirrors keep them alphabetical please in
	  DETAILS as well
	* PREPARE: pruned the mirror list and added som efresh ones

2007-08-01 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* PREPARE: use list as that's what the mirror system is setup
	  for logicaly. Multi option makes no sense here.
	* DETAILS: version update 4.67

2007-07-28 Eric Sandall <sandalle@sourcemage.org>
	* PREPARE: Use config_query_multi as the list is too large (16!) for
	  config_query_list
	* CONFIGURE: Changed cyrus-sasl, dovecot, linux-pam, mysql, openldap,
	  postgresql, readline, sqlite, tcp_wrappers, and X11-LIBS from CONFIGUREd
	  hard dependencies to true optional_depends.
	  Made query for hc-cron or fcron a config_query_list, may only choose one
	  Only query for gnutls support, openssl support fails to build
	* DEPENDS: Optionally depend on dovecot for authentication
	  Changed cyrus-sasl, dovecot, linux-pam, mysql, openldap, postgresql,
	  readline, sqlite, tcp_wrappers, and X11-LIBS from CONFIGUREd hard
	  dependencies to true optional_depends.
	* BUILD: Build Dovecot authentication if wanted

2007-03-27 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* BUILD: new depends sqlite
	* DEPENDS: new depends sqlite
	* CONFIGURE: new depends sqlite

2007-01-28 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DETAILS: update to 4.66
	* BUILD: fixed OpenSSL/GNUTLS support
	* DEPENDS: added some more depends for GNUTLS

2006-07-13 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 4.62.
	  Use if/elif instead of a lot of ifs for SOURCE_URLs.
	  Have a last else for SOURCE_URLs in case EXIM_MIRRORS hasn't been
	  configured yet (duplicate "united-states" list for else).
	  Removed UPDATED and BUILD_API=2 (grimoire-wide).
	* PREPARE: Alphabatize mirror list (easier to find your location).
	  One mirror per line to make it easier to add/remove entries.
	* CONFIGURE: Added config_queries from DEPENDS (Bug #10158)
	* DEPENDS: If postgresql is not installed, don't default to using
	  it (Bug #10158).
	  Removed config_queries (moved to CONFIGURE) (Bug #10158)
	  Added missing check and dependency for postgresql (Bug #10158)

2006-03-12 Karsten Behrmann <BearPerson@sourcemage.org>
	* DETAILS: (automated) Add KEYWORDS

2006-02-14 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* PREPARE: added mirror selection
	* DETAILS: reorganized mirrors and added GPG upstream key
	* exim.gpg: verified using:
	  http://www.exim.org/pipermail/exim-users/Week-of-Mon-20021216/047572.html
	  PICK_A_MIRROR_ANY_MIRROR/Public-Key
	  keyserver

2005-10-05 David Brown <dmlb2000@gmail.com>
	* INSTALL: fixing symlinks so they aren't created broken

2005-08-28 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 4.52

2005-07-20 Jeremy Blosser <jblosser-smgl@firinn.org>
	* PROVIDES: Provides SENDMAIL
	* CONFLICTS: Conflicts with other providers of SENDMAIL

2005-06-02 Eric Sandall <sandalle@sourcemage.org>
	* CONFIGURE,PRE_REMOVE: Removed backup code
	* FINAL: Removed backup code
	  install_rootify
	* DEPENDS: Use spell_provider_ok for X11-LIBS
	* BUILD: install_rootify
	  Always echo EXTRA_LIBS and LOOKUP_LIBS
	* INSTALL: Use install_config_file for exim.conf and aliases
	  install_rootify
	  Man pages go to /usr/share/man

2005-04-07 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Removed MAKE_NJOBS=1
	* BUILD: Run make_single before make
	* INSTALL: Run make_normal before make install

2005-03-02 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated UPDATED
	* init.d/exim: Use /etc/sysconfig/exim for configuration (Bug #8032)
	* init.d/exim.conf: Added (Bug #8032)

2005-02-26 Eric Sandall <sandalle@sourcemage.org>
	* PROVIDES: Disappeared...re-integrated from stable

2005-02-23 Eric Sandall <sandalle@sourcemage.org>
	* init.d/exim: Added (Bug #8032)
	* services: Removed (Bug #7125)

2005-02-22 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 4.50
	  Removed FORCE_DOWNLOAD for exiscan
	* PREPARE,PRE_BUILD: Removed (exiscan is now part of exim :))
	* CONFIGURE: Added queries for maildir, mailstore, and mbx support in
	  appendfile transport (default 'n')
	  Added /etc/passwd, and NIS lookups (default 'n')
	  Added cram/md5, plaintext, and spa authentication
	  Added option for frozen message moving
	  Added "&&" after config_queries
	  Prepend variables with EXIM_
	  Renamed backup_file to exim_backup_file
	  Fixes Bug #8073
	* DEPENDS: Added optional (via config_query) dependencies on openssl,
	  gnutls, readline, cyrus-sasl, and postgresql
	  Enabled mysql (no longer broken) and postgresql support
	  Prepend variables with EXIM_
	* CONFLICTS: Added "&&"s
	* BUILD: configure Local/Makefile for options from CONFIGURE and DEPENDS
	  Removed exiscan patch
	  Added missing "&&"s
	* INSTALL: Removed explicit exiscan installation
	* FINAL: Prepend variables with EXIM_
	  Renamed backup_file to exim_backup_file

2005-01-29 Arjan Bouter <abouter@sourcemage.org>
	* BUILD, DEPENDS, PRE_REMOVE: spell_installed -> spell_ok conversion

2005-01-22 Rafael George <george.rafael@gmail.com>
	* linux-pam rename lower case

2005-01-20 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 4.44
	  Removed MENU_* entries
	  Shortened SHORT
	* security.patch: Removed
	* PRE_BUILD: Don't apply security.patch

2005-01-12 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated UPDATED SECURITY FIX
	* PRE_BUILD: Apply security.patch
	* security.patch: Added GPG clearsigned patch from
	  http://www.exim.org/mail-archives/exim-announce/2005/msg00000.html
	  and modified to apply cleanly
	  Thanks to Seth Woolley

2004-10-12 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 4.43
	  Add FORCE_DOWNLOAD for exiscan files
	* PREPARE: Updated exiscan to 4.43-28
	* FINAL: Add warning about changing relay ACLs

2004-09-08 Eric Sandall <sandalle@sourcemage.org>
	* CONFIGURE: Fixed Bug #7157

2004-08-30 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 4.42
	* PREPARE: Updated exiscan to 4.42-27
	* DEPENDS: exim can use any X11-LIBS for the X monitor
	  MySQL support is currently broken :(

2004-07-26 Eric Sandall <sandalle@sourcemage.org>
	* CONFIGURE: Forgot to `p4 edit`, thanks to basvg, rycee, and dufflebunk

2004-07-23 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 4.41
	* PREPARE: Updated exiscan to 4.41-24
	* WIP: Removed

2004-07-21 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 4.40
	  BUILD_API=2
	* PREPARE: Updated exiscan to 4.40-23
	  Converted to config_query
	* POST_INSTALL: Renamed to FINAL for BUILD_API 2
	* FINAL: Use config_query responses
	  Add some &&'s
	  Move config file backup query to CONFIGURE
	* BUILD: Converted to BUILD_API 2
	  Use config_query responses
	* INSTALL: Added
	  Use config_query responses
	  Cleaned up formatting a bit (extra &&'s and such)
	* PRE_BUILD: Use config_query responses
	* PRE_REMOVE: Move query to CONFIGURE
	  Add missing &&'s
	* CONFIGURE: Query for config file backup
	  Add "backup_file" to persistant variables
	  Query for backing up config file
	* DEPENDS: Use config_query responses
	  Missing "&&" after openldap's fi
	  Add queries and checks for fcron/hc-cron
	* WIP: Needs testing. ;)

2004-07-11 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: Only apply spell-dependent changes if the user wants it (Bug #7085)
	  Create the log files, otherwise exim rejects all e-mail
	* DEPENDS: A mess of config_queries and if's to implement Bug #7085

2004-06-14 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: Applied fix from the forums
	  http://forums.sourcemage.org/viewtopic.php?t=666

2004-05-20 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Added optional dependency on openldap (Bug #6308)
	* BUILD: Configure with LDAP support (Bug #6308)

2004-05-16 Eric Sandall <sandalle@sourcemage.org>
	* PREPARE: exiscan-acl-spec.txt has different md5sum

2004-05-14 Seth Woolley <seth@tautology.org>
	* DETAILS: Updated to 4.34 SECURITY UPDATE
	* PREPARE: Updated exiscan to 4.34-21 patchset

2004-05-08 Seth Woolley <seth@tautology.org>
	* DETAILS: Updated to 4.33 SECURITY UPDATE
	* PREPARE: Updated exiscan to 4.33-20 patchset

2004-04-21 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 4.32
	* PREPARE: Updated exiscan to 4.32-18 patchset

2004-04-06 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 4.31
	* PREPARE: Updated exiscan to 4.31-16 patchset

2004-03-16 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated UPDATED
	* PREPARE: Added query and setup for exiscan
	* PRE_BUILD: Check md5sums of exiscan, if it's used
	* BUILD: Apply exiscan patch and copy documents, if exiscan is used

2003-12-03 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 4.30
	* HISTORY: Formatted to Guru Handbook

2003-10-17 Ladislav Hagara <hgr@vabo.cz>
	* PROVIDES: mail-transport-agent -> MAIL-TRANSPORT-AGENT

2003-10-01 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Update to 4.24 (tested on my server)

2003-08-29 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 4.22
	  Changed LICENSE to LICENSE[0]

2003-08-24 Eric Sandall <sandalle@sourcemage.org>
	* Fixed Bug #4088 (thanks to Arwed)

2003-08-10 hgg <hgreig@bigpond.net.au>
	* TRIGGERS: Revert on_dispel Linux-PAM cast_self
	  (doesn't work the way it is documented)

2003-07-26 hgg <hgreig@bigpond.net.au>
	* TRIGGERS: Update for Linux-PAM

2003-07-08 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Added MAKE_NJOBS=1 as it fails with multiple compiles
	* HISTORY: Cleaned up

2003-05-14 M.L. <mlubrano@sourcemage.org>
	* DETAILS: Version++ (4.20).

2003-04-16 M.L. <mlubrano@sourcemage.org>
	* SECURITY: Pacified (was last meeting request).

2003-03-12 M.L. <mlubrano@sourcemage.org>
	* POST_INSTALL,PRE_REMOVE: Corrected tar -y to -j option.

2003-03-12 M.L. <mlubrano@sourcemage.org>
	* DETAILS: Version++ (4.14).

2003-02-25 M.L. <mlubrano@sourcemage.org>
	* Removed db-4.1.patch (unused spell patch file).

2003-02-24 M.L. <mlubrano@sourcemage.org>
	* Fixed bug 2649, added SECURITY file.

2003-02-23 M.L. <mlubrano@sourcemage.org>
	* Fixed bug 2644, thanks to sandalle@sourcemage.org (Eric Sandall)

2003-02-18 Eric Schabell <eschabell@sourcemage.org>
	* There was no logging for exim, possible with /etc/exim.conf variable
	  but this is strongly discouraged as you miss events that fail on startup:
	  "It is generally advisable, however, to set the string in Local/Makefile
	  rather than at run time, because then the setting is available right from
	  the start of Exim's execution. Otherwise, if there's something it wants to
	  log before it has read the configuration file (for example, an error in
	  the configuration file) it will not use the path you want, and may not be
	  able to log at all."
	  I have added it to the BUILD file for /var/log/exim_{panic|main|reject}.

2002-12-18 M.L. <mlubrano@sourcemage.org>
	* DETAILS: Version++ (4.12).

2002-12-16 M.L. <mlubrano@sourcemage.org>
	* BUILD: Added chown to make /var/spool/mail*
	  belongs to exim user and group.

2002-12-11 M.L. <mlubrano@sourcemage.org>
	* DETAILS: Version++ (4.11).

2002-11-10 M.L. <mlubrano@sourcemage.org>
	* POST_INSTALL: Fixed typo

2002-11-05 M.L. <mlubrano@sourcemage.org>
	* DETAILS: Added MENU_* entries to DETAILS file.

2002-10-25 M.L. <mlubrano@sourcemage.org>
	* BUILD: Converted spell to use sorcery uid/gid features.

2002-09-24 Lyon Lemmens <llemmens@sourcemage.org>
	* LL: Added an ugly patch to make exim work with db-4.1.x.
	* ML: made patch optional if db-4.1.x is detected. (keep it safe ;)

2002-09-10 M.L. <mlubrano@sourcemage.org>
	* Fixed bug #926.

2002-08-21 M.L. <m.l@compaqnet.fr>
	* DETAILS: MD5[0] field updated, built from the ".tar" archive.

2002-08-15 M.L. <m.l@compaqnet.fr>
	* DETAILS: MD5[x] field format conforming to grimoire-gurus handbook.
	  Added source url of last ressort (sourcemage mirror).

2002-07-22 M.L. <m.l@compaqnet.fr>
	* DETAILS: Version++ (4.10)

2002-07-20 M.L. <m.l@compaqnet.fr>
	* Config files may now be restored upon sorcery rebuild (or spell rebuild).
	  (like postfix's bug #462)

2002-06-14 M.L. <m.l@compaqnet.fr>
	* DETAILS: Version++ (4.05)
	* Gcc3 non-regressive tests ok.

2002-06-11 M.L. <m.l@compaqnet.fr>
	* DETAILS: Added MD5.
	  Really added LICENSE... (oops).

2002-06-10 M.L. <m.l@compaqnet.fr>
	* DETAILS: Added LICENSE.

2002-06-04 M.L. <m.l@compaqnet.fr>
	* USEGCC2: Removed

2002-05-07 Foxy <foxy@linuxfreemail.com>
	* BUILD: Patched to install man page (8).

2002-04-27 M.L. <m.l@compaqnet.fr>
	* DETAILS: Added mirrors.

2002-04-19 M.L. <mlubrano@sourcemage.org>
	* DETAILS: Version++ (4.04... 4.03 was not released)
	* BUILD: Patched to copy config files convert tools to doc dir.

2002-04-15 M.L. <mlubrano@sourcemage.org>
	* DETAILS: Version++ (4.03)

2002-09-26 M.L. <mlubrano@sourcemage.org>
	* DETAILS: Version++
	  Added a few mirrors.

2002-09-15 M.L. <mlubrano@sourcemage.org>
	* ChangeLog,HISTORY: mv Changelog HISTORY
	* PRE_REMOVE: Patched

2002-01-24 Kongar <anonymous@sourcemage.org>
	* DETAILS: exim 3.34, kongar
	* corrected a typo in POST_INSTALL which was a bug,
	  disabling fcrons exim line
	* added EXIM_UID=`id -u mail` and EXIM_GID=`id -g mail` to the BUILD.
	  Also hacked xinetd, exim is started as mail:mail now. The problem is
	  the directory and file permissions. Without those hacks, anyone
	  is capable of reading others mails.
	* added an option to disable RFC1413 (identd) queries. This is
	  a performance hack. Default timeout is 30 secs and noone is using
	  identd nowadays. Hacked CONFIGURE and BUILD.
	* remarked xinetd logging options in xinetd.d/exim file, those adds a real
	  amount of wait time (20 secs on 100Mb, per connection) if the remote host
	  can not be reverse mapped.
	* added mysql as an optional depend, hacked BUILD script to satisfy that.
	  Now, if mysql is installed, it is possible to lookup mysql databases

2002-01-18 Anonymous <anonymous@sourcemage.org>
	* The xinetd.d conf file for exim has been
	  updated to prevent exim act as an open relay.

2002-01-10 Kyle Sallee <anonymous@sourcemage.org>
	* Added PAM support and CFLAGS optimization to exim spell

2002-01-14 Kyle Sallee <anonymous@sourcemage.org>
	* Fixed the spell so that it updates root's crontab and fcrontab properly.

